libzypp 17.37.10

zypp::OriginEndpoint::Private Struct Reference

## Public Member Functions
| Private (Url &&u, OriginEndpoint::SettingsMap &&m)
| ~Private ()=default
Private * | clone () const

## Public Attributes
zypp::Url | _url
std::unordered_map< std::string, std::any > | _settings

## Detailed Description

Definition at line 17 of file MirroredOrigin.cc.

## Constructor & Destructor Documentation

## ◆ Private()

zypp::OriginEndpoint::Private::Private | ( | Url && | u,
|  | OriginEndpoint::SettingsMap && | m )
| inline

Definition at line 19 of file MirroredOrigin.cc.

## ◆ ~Private()

zypp::OriginEndpoint::Private::~Private | ( |  | ) |
| default

## Member Function Documentation

## ◆ clone()

Private * zypp::OriginEndpoint::Private::clone | ( |  | ) | const
| inline

Definition at line 25 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _url

zypp::Url zypp::OriginEndpoint::Private::_url

Definition at line 29 of file MirroredOrigin.cc.

## ◆ _settings

std::unordered_map<std::string, std::any> zypp::OriginEndpoint::Private::_settings

Definition at line 30 of file MirroredOrigin.cc.

The documentation for this struct was generated from the following file:

- zypp-core/MirroredOrigin.cc